package com.yonge.cooleshow.auth.api.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yonge.cooleshow.common.enums.UserGenderEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.Size;
import java.util.Date;

/**
 * @Author: liweifan
 * @Data: 2022/3/22 11:00
 */
@ApiModel(value = "UserSetReq对象", description = "用户设置请求对象")
public class UserSetReq {
    @ApiModelProperty(value = "客户端",required = true)
    private String clientId;
    @ApiModelProperty("头像地址")
    private String avatar;
    @ApiModelProperty("昵称")
    @Size(max = 12, message = "昵称长度不能超过12个字")
    private String username;
    @ApiModelProperty(value = "性别 0女 1男")
    private Integer gender;
    @ApiModelProperty(value = "出生日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date birthdate;

    public String getClientId() {
        return clientId;
    }

    public void setClientId(String clientId) {
        this.clientId = clientId;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public Integer getGender() {
        return gender;
    }

    public void setGender(Integer gender) {
        this.gender = gender;
    }

    public Date getBirthdate() {
        return birthdate;
    }

    public void setBirthdate(Date birthdate) {
        this.birthdate = birthdate;
    }
}
